const superagent = require("superagent");

async function unsplash(client_id, n){
// Case where no arguments are being passed    
if(!n)
{
     n = 10;
}     
// decides the number of Api calls to be made
if( n%30 === 0 )
{
 numberOfApiCalls = Math.floor(n/30);
}
else numberOfApiCalls = Math.floor(n/30 + 1);
const api_url="https://api.unsplash.com";
try{
    const images = [];
    const promiseArray = [];
for( i=1 ; i<=numberOfApiCalls; i++) 
{
    const request =  superagent.get(`${api_url}/photos/random?count=${n}&client_id=${client_id}`)
    promiseArray.push(request);
    n = ( n>30 ) ? (n-30) : (n%30);    
}
 const results = await Promise.all(promiseArray)
 results.map(item => {
   const parsedData =  JSON.parse(item.text); 
   parsedData.map(obj => images.push(obj.urls.full))
})
return images;
}
catch(error)
{
    return error;
}
}
module.exports = unsplash;

